<<< Previous | Home | Next >>>

The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008
Copyright © 2001-2008 The IEEE and The Open Group

#### NAME

> putwc - put a wide character on a stream

#### SYNOPSIS

> ``#include <stdio.h>
> #include <wchar.h>
> wint_t putwc(wchar_t` wc`, FILE *`stream`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> The putwc() function shall be equivalent to fputwc(), except that if it is implemented as a macro it may evaluate stream more than once, so the argument should never be an expression with side-effects.

#### RETURN VALUE

> Refer to fputwc .

#### ERRORS

> Refer to fputwc .

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> Since it may be implemented as a macro, putwc() may treat a stream argument with side-effects incorrectly. In particular, putwc(wc,*f++) need not work correctly. Therefore, use of this function is not recommended; fputwc() should be used instead.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> fputwc

> XBD <stdio.h> , <wchar.h>

#### CHANGE HISTORY

> First released as a World-wide Portability Interface in Issue 4.

#### Issue 5

> Aligned with ISO/IEC 9899:1990/Amendment 1:1995 (E). Specifically, the type of argument wc is changed from wint_t to wchar_t.

> The Optional Header (OH) marking is removed from <stdio.h>.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2008 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]

<<< Previous | Home | Next >>>